/* Utilities */

body {
    text-align: left;
    background-color:#f3f3f3;
}

hr {
    margin: 10px auto;
    
    width: 100%;
}

h1, h2, h3, h5, h6 {
    margin: 15px auto;
    line-height: 1.5;
    /* text-align: left; */
    font-family:  'Varela Round', sans-serif;
}

p {
    line-height: 1.5;
    text-align: left;
    font-size: 1.1rem;
    color: rgba(88, 90, 92, 0.938);
}

strong {
    margin: 40px auto;
}

.wrapper {
    padding: 10px 3%;;
    margin-left: 30%;
    box-shadow: 1px 1px 3px 2px gray;
    border-radius: 5px;
    position: relative;
    top: 5px;
    background-color: white;
}

.sticky {
  position: fixed;
  top: 100px;
  width: 100%
}

a:hover {
    text-decoration: none;
}

/* navbar */

.navbar {
    background-color: steelblue;
    position: sticky;
}

.nav-item {
    padding: 0 18px;
    font-family: 'Ubuntu', sans-serif;
    color: rgba(211, 209, 207, 0.904);
}

.navbar-brand {
    font-family: 'Kalam', cursive;
    font-weight: bold;
    font-size: 2.3rem;
    padding-left: 1.2%;
}

.header {
    background-color: #c0e3fab9;
    padding: 3% 5%;
    position: sticky;
}

.lang-img {
    margin-left: 10%;
    margin-top: 1%;
    padding-bottom: 2%;
}

.cpp-img {
    width: 100%;
    
}

.languages {
    width: fit-content;
    margin: 5%;
}

.card {
    background-color: rgb(255, 255, 255);

}

/* UTILITIES */

.editor-contents code, .editor-contents samp, .editor-contents var {
    border: 1px solid #d3dce6;
    background-color: #f5f5f5;
    padding: 0 8px;
    border-radius: 4px;
    font-style: normal;
    font-family: "Droid Sans Mono", "Inconsolata", "Menlo", "Consolas", "Bitstream Vera Sans Mono", "Courier", monospace;
    display: inline-block;
    line-height: 24px;
    font-size: 14px;
    line-height: 20px;
}

.hljs {
    display: block;
    overflow-x: auto;
    padding: .5em;
    color: #383a42;
    background: #fafafa;
}

.hljs-symbol, .hljs-bullet, .hljs-link, .hljs-meta, .hljs-selector-id, .hljs-title {
    color: #4078f2;
}

.hljs-comment, .hljs-quote {
    color: #a0a1a7;
}

.hljs-built_in, .hljs-class .hljs-title {
    color: #c18401;
}

.para {
    padding-left: 20px;
    padding-right: 20px;
}

.body {
    font-family: 'Varela Round', sans-serif;
    background-color: white;
}

a {
    color: steelblue;
}

.but a {
    color: white;
}

.btn-primary {
    color: #fff;
    background-color: steelblue;
    border-color: steelblue;
}

.but {
    font-size: 1.1rem;
    color: rgba(88, 90, 92, 0.938);
    
    margin-bottom: 50px;
    margin-top: 20px;
}   

.container-fluid {
    padding-left: 0;
    padding-right: 0;
}

.row {
    margin-right: 0;
}

.card {     padding: 2%;
    width: 96%;
    height: 92%;
    /* box-shadow: 1px 1px 5px 3px rgb(212, 211, 211); */
}
.card:hover {
    box-shadow: 1px 1px 5px 3px #cfcfcfea;
}
.pre-footer {
    text-align: center;
}

/* footer*/

footer {
    color: white;
    font-family: 'Ubuntu', sans-serif;
    text-align: center;
    background-color: steelblue;
    padding: 2%;
    margin-top: 3%;
    text-align: center;
}

/* .foot-header {
    margin-bottom: 8px;
    margin-top: 0;
}

.footer-links {
    margin-bottom: 1%;
}

.foot {
    text-align: center;
    color: white;
} 
*/
.icons {
    padding-left: 15px;
}

pre {
    padding: 16px;
    border-radius: 4px;
    border: 1px solid #d3dce6;
    background-color: #f5f5f5;
    margin-bottom: 16px;
    font-family: "Droid Sans Mono", "Inconsolata", "Menlo", "Consolas", "Bitstream Vera Sans Mono", "Courier", monospace;
    font-size: 14px;
    line-height: 20px;
    overflow: auto;
    margin-left: 10px;
    text-align: left;
}

/* Accordion */

.accordion {
    width: 100%;
    max-width: 26%;
    margin: 0;
    background: #FFF;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
}

.accordion .link {
    cursor: pointer;
    display: block;
    padding: 15px 15px 15px 42px;
    color: steelblue;
    font-size: 14px;
    font-weight: 700;
    border-bottom: 1px solid #CCC;
    position: relative;
    -webkit-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    transition: all 0.4s ease
}

.accordion li:last-child .link {
    border-bottom: 0
}

.accordion li i {
    position: absolute;
    top: 16px;
    left: 12px;
    font-size: 18px;
    color: #595959;
    -webkit-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    transition: all 0.4s ease
}

.accordion li i.fa-chevron-down {
    right: 12px;
    left: auto;
    font-size: 16px
}

.accordion li.open .link {
    color: steelblue
}

.accordion li.open i {
    color: steelblue
}

.accordion li.open i.fa-chevron-down {
    -webkit-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    transform: rotate(180deg)
}

.submenu {
    display: none;
    background: rgba(206, 227, 245, 0.486);
    font-size: 14px
}

.submenu li {
    border-bottom: 1px solid #e0e0e0
}

.submenu a {
    display: block;
    text-decoration: none;
    /* color: steelblue; */
    padding: 12px;
    padding-left: 55px;
    -webkit-transition: all 0.25s ease;
    -o-transition: all 0.25s ease;
    transition: all 0.25s ease
}

.submenu a:hover {
    background: steelblue;
    color: #FFF
}

.opened{
background: steelblue; 
color: white;
}
.lbar {
    margin: 0;
    padding: 0;
    position: absolute;
   
    width: 98%;
}

.lbar ul {
    border: 1px solid gray;
    padding-inline-start: 0;
    list-style: none;
    box-shadow: 0.5px 0.5px 3px 3px rgb(212, 211, 211);
}

/* Breadcrumb */

.bdcrumb {
    margin-left: 30%;
    position: relative;
    z-index: 1000;
    
    /* padding-top: 0px; */
}

/* Media queries */

@media only screen and (max-width: 1024px) {
    .lbar {
        display: none;
    }
    .wrapper {
        margin-left: 0;
    }
    .bdcrumb {
        /* display: block; */
        margin-left: 0.5rem;
    }
    h1, h2 {
        font-size: 1.8rem;
    }
    .cpp-img,.cpp-logo{
        display: none;
    }
    .card{
        width:100%;
    }
}
/* @media (max-width: 575px)
.bdcrumb {
    padding: 16px;
    background-color: #fff;
    margin-top: 0;
    margin-left: -24px;
    margin-right: -24px;
    border-bottom: 1px solid #d3dce6;
    position: sticky;
    top: 60px;
    z-index: 98;
}
*/
/* .breadcrumb-items:not(:last-child):after {
    content: '>';
    padding: 0 8px;
    color: rgba(37,38,94,0.7);
}  */
.breadcrumb-item+.breadcrumb-item::before {
    display: inline-block;
    color: #6c757d;
    content: ">";
    padding-left: .15rem;
    padding-right: .15rem;
}
.breadcrumb-item+.breadcrumb-item {
    padding-left: .15rem;
    padding-right: .15rem;
}
 .imghome{
    margin-left: -0px;
    width: 100%;
} 
.wrapper img{
    max-width: 100%;
}

.wrapperhome {
    padding: 10px 3%;;
    margin-left: 5%;
    margin-right: 5%;
    box-shadow: 1px 1px 3px 2px rgb(212, 211, 211);
    border-radius: 5px;
    position: relative;
    top: 5px;
    font-family: 'Varela Round', sans-serif;
    background-color: white;
}

.wrapperhome p , .wrapperhome ul{
    padding-left: 30px;
    color: rgb(126, 120, 120);
}


/* TABLE */

table{
    width: 100%;
    
}
td, th {
  font-size: 15px;
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
  border-radius: 5px;
}
tr:nth-child(even) {
  background-color: rgb(247, 247, 247);
  color: black;
}
tr:nth-child(odd) {
  background-color: rgb(240, 240, 240);
  color: black;
  
}
/* .wrapperhome h1,h2,h3,h4,h5,h6{
     font-weight: bold; 
    color: rgb(69, 70, 71);
    margin: 5px;
} */


/* Right menu button for index */

.far {
    position: absolute;
    right: 20px;
    top: 10px;
}

.rt {
    background-color: steelblue;
    border-radius: 6px 0 0 6px;
    color: white;
    display: none;
    font-size: 1.2rem;
    position: fixed;
    right: 0;
    top: 200px;
    text-orientation: upright;
    z-index: 1000;
    writing-mode: vertical-rl;
}

.rt-div {
    background-color: white;
    overflow: hidden;
    position: absolute;
    right: 0px;
    top: 0;
    transition: 0.5s;
    width: 0;
    z-index: 2000;
}

.rt-div-ul {
    font-size: 1.5rem;
    list-style: none;
    line-height: 2;
    word-wrap: normal;
}

.rt-head {
    font-size: 2rem;
    margin: 20px;
}

.show-menu {
    background-color: white;
    box-shadow: 1px 1px 3px 3px rgb(212, 211, 211);
    height: 100vh;
    position: fixed;
    width: 300px;
    z-index: 2000;
}

@media only screen and (max-width: 1023px) {
    .rt {
        display: flex;
    }
    .wrapperhome img{
        width : 100%;
    }

}
@media only screen and (max-width: 400px) {
    .rt {
        font-size: 0.8rem;
    }
    

}




/* Footer */
footer {
    background: steelblue;
    padding: 2%;
}
.logo{
    width: 32%;
}
.foot-header {
    margin-bottom: 8px; 
    margin-top: 0;
    font-size: 1.5rem;
    color: rgb(255, 255, 255);
    letter-spacing: 1.7px;
}

.footer-ul {
    list-style: none;
    text-align: left;
    font-size: 1rem;
    padding-inline-start: 0;
}

.f-links {
    color: rgb(255, 255, 255);
}

.f-links:hover {
    color: rgb(191, 221, 247);
}

.footer-column {
    margin-left: 0%;
    display: inline-block;
    width: 17%;
    
}

.f-img {
    width: 135px;
}
.mt-3{
    text-align: center;
    color: white;
}


@media (max-width: 1292px){
    footer .logo {
    width: 35%;
}
}
@media (max-width: 1024px) {
    footer .rt, footer .footer-ul {
        
        text-align: center;
        width: 100%;
    }
    footer .foot-header {
       
        text-align: center;
        width: 100%;
    }
    footer .col-md-3, .col-md-7{
        margin-left: 0;
        text-align: center;
        width: 100%;
    }
    footer .logo{
        width: 100%;
        text-align: center;
    }
    footer .footer-column {
        text-align: center;
        width: 32.5%;
    }
}
@media (max-width: 768px){
    footer .rt, footer .footer-ul {
        
        text-align: center;
        width: 100%;
    }
    footer .foot-header {
       
        text-align: center;
        width: 100%;
    }
    footer .col-md-3, .col-md-7{
        margin-left: 0;
        text-align: center;
        width: 100%;
    }
    footer .logo{
        width: 100%;
        text-align: center;
    }
    footer .footer-column {
        text-align: center;
        width: 100%;
    }


}
@media only screen and (max-width: 400px) {
    footer .rt, footer .footer-ul {
        
        text-align: center;
        width: 100%;
    }
    footer .foot-header {

        text-align: center;
        width: 100%;
    }
    footer .col-md-3, .col-md-7{
        margin-left: 0;
        text-align: center;
        width: 100%;
    }
    footer .logo{
        width: 100%;
        text-align: center;
    }
    footer .footer-column {
        text-align: center;
        width: 100%;
    }
}


